<ion-content class="ion-padding">

  <div class="title">
    <h4>Validar información</h4>
  </div>

  <ion-grid [fixed]="true">
    <ion-row style="justify-items: center; justify-content: center">
      <ion-col size-lg="8" size-md="8" size="12" size-sm="12">
        <ion-card>
          <form [formGroup]="formularioIngreso" (ngSubmit)="continuar()">
            <p class="p-subtitulo">
              <img
                src="assets/iconos-svg/info-circle-fill.svg"
                alt="info">
              Ingresar la información como se encuentra en la cédula vigente del socio
            </p>

            <ion-item lines="none">
              <ion-input
                id="nombres"
                formControlName="nombres"
                onkeydown="return /[a-zA-Z,ñ, ]/i.test(event.key)"
                onkeyup="this.value=this.value.toUpperCase()"
                autocomplete="off"
                required
                placeholder="Nombres del socio">
              </ion-input>
              <ion-note *ngIf="nombresField?.hasError('required')" slot="error">Los nombres son obligatorios</ion-note>
              <ion-note *ngIf="nombresField?.hasError('minlength')" slot="error">Deben contener al menos 5 letras</ion-note>
            </ion-item>

            <ion-item lines="none">
              <ion-input
                id="apellidos"
                formControlName="apellidos"
                onkeydown="return /[a-zA-Z,ñ, ]/i.test(event.key)"
                onkeyup="this.value=this.value.toUpperCase()"
                autocapitalize="on"
                autocomplete="off"
                required
                placeholder="Apellidos del socio">
              </ion-input>
              <ion-note *ngIf="apellidosField?.hasError('required')" slot="error">Los apellidos son obligatorios</ion-note>
              <ion-note *ngIf="apellidosField?.hasError('minlength')" slot="error">Deben contener al menos 5 letras</ion-note>
            </ion-item>

            <ion-item lines="none">
              <ion-input
                formControlName="identificacion"
                maxlength="10"
                type="tel"
                placeholder="Cédula de identidad del socio">
              </ion-input>
              <ion-note *ngIf="identificacionField?.hasError('required')" slot="error">La cédula es obligatoria</ion-note>
              <ion-note *ngIf="identificacionField?.hasError('minlength')" slot="error">Deben contener 10 dígitos</ion-note>
            </ion-item>

            <ion-item lines="none">
              <ion-input
                formControlName="codigoDactilar"
                onkeyup="this.value=this.value.toUpperCase()"
                autocomplete="off"
                class="input-mensaje"
                maxlength="10"
                placeholder="Código dactilar del socio">
              </ion-input>
              <ion-note *ngIf="codigoDactilarField?.hasError('required')" slot="error">El código dactilar es obligatorio</ion-note>
              <ion-note *ngIf="codigoDactilarField?.hasError('minlength')" slot="error">Deben contener 10 caracteres</ion-note>
            </ion-item>
            <p class="p-pop-up" (click)="popDactilar()">¿Dónde encuentro el código dactilar?</p>

            <ion-item lines="none">
              <ion-input
                formControlName="celular"
                maxlength="10"
                type="tel"
                placeholder="Número de celular del socio">
              </ion-input>
              <ion-note *ngIf="celularField?.hasError('required')" slot="error">El celular es obligatorio</ion-note>
              <ion-note *ngIf="celularField?.hasError('minlength')" slot="error">Deben contener 10 caracteres</ion-note>
            </ion-item>

            <div class="div-continuar">
              <ion-button
                expand="block"
                [disabled]="formularioIngreso.invalid"
                (click)="continuar()">
                Continuar
              </ion-button>
            </div>
          </form>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
